{% extends "base.html.j2" %}
{% block content %}
<div class="media">
    <h2 class="title">{{ subtitle | default("Último contenido") }}</h2>

   <label class="alineacion_label_aleatorio">¿Te ayudamos a escoger?&nbsp; &nbsp;</label>
   <a href="{{url_for('media_random')}}" class="link_button">Película sugerida</a>

    <div class="filter_wrapper right">
        <ul>
            <li>
                <span class="glyphicons glyphicons-chevron-down"></span> Ver
                <ul class="inner_menu">
                    <li>
                        <a id="backdrop_card" class="view_style" href="/ultimas/"
                           alt="Últimas agregadas" title="Últimas agregadas">Últimas agregadas</a>
                    </li>
                    <li>
                        <a id="poster_card" class="view_style" href="/populares"
                           alt="Mejor puntuadas" title="Mejor puntuadas">Mejor puntuadas</a>
                    </li>
                    <li>
                        <a id="mixed_compact" class="view_style" href="/en-cartelera/"
                           alt="En cartelera" title="En cartelera">En cartelera</a>
                    </li>

                     <li>
                        <a id="mixed_compact" class="view_style" href="{{url_for('media_random')}}"
                           alt="En cartelera" title="Aleatorio">Película sugerida</a>
                    </li>

                    {% if current_user.is_authenticated %}
                    {% if current_user.is_admin() %}
                    <li>
                        <a id="mixed_compact" class="view_style" href="/migrate/media/counter"
                           alt="Reordenar counter (admin)" title="Reordenar counter (admin)">Reordenar counter (admin)</a>
                    </li>
                    {% endif %}
                    {% endif %}
                </ul>
            </li>
        </ul>

    </div>

    <div class="clear"></div>

    <div class="results flex results_backdrop_card">

        {% if media.items|length < 1 %}
        <div class="sin-resultados">
            <p>Cuando surge el vacio, algo debe llenarlo</p>
        </div>
        {% else %}
        {% for item in media.items %}

        <div class="item backdrop card">
            <div class="image_content">
                <a class="result" href="/{{item.media_type}}/{{item.title_unique}}" title="{{item.title}}" alt="{{item.title}}">
                    <img class="backdrop lazyload fade" data-sizes="auto" src="data:image/png;base64, {{item.poster_b64}}" alt="{{item.title}}">
                </a>
            </div>

            <div class="content">
                <div class="wrapper">
                    <div class="consensus tight">
                        <div class="outer_ring">
                            <div class="user_score_chart {{item.hash()}}"
                                 data-percent="{{item.score}}"
                                 data-track-color="#204529" data-bar-color="#21d07a">
                                <div class="percent">
                                    <span class="icon icon-r{{item.score|round|int}}"></span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="flex">
                        <a class="title result" href="/{{item.media_type}}/{{item.title_unique}}"
                           title="{{item.title}}" alt="{{item.title}}">{{item.title}}</a>
                        <span>{{item.release_date.strftime('%b %d, %Y')}}</span>
                    </div>
                </div>
            </div>
            <script>
                $(function() {
                    $('.user_score_chart.{{item.hash()}}').easyPieChart({
                        lineCap: 'round',
                        lineWidth: 3,
                        scaleColor: false,
                        size: 32,
                        animate: {
                            enabled: false
                        }
                    });
                });
            </script>
        </div>

        {% endfor %}

        {% if media.pages > 1 %}
            {% import "macros.html.j2" as macros %}
            {{ macros.render_pagination(request, media) }}
        {% endif  %}

        {% endif  %}

        <script>
            current_path = window.location.pathname
            current_path = current_path.split("/")
            if (current_path.length > 2) {
                current_path = current_path[1]
                $("#backdrop_card").attr("href", "/" + current_path + "/ultimas/")
                $("#poster_card").  attr("href", "/" + current_path + "/populares/")
                //$("#mixed_compact").attr("href", "/" + current_path + "/en-cartelera/")
            }
        </script>
  </div>
{% endblock %}
